Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.core
Class GuiIfc.TileDownloadParams

    java.lang.Object
      org.ka2ddo.yaac.core.GuiIfc.TileDownloadParams

Enclosing interface:
  GuiIfc

    public static class GuiIfc.TileDownloadParams

extends java.lang.Object

Data structure of parameters needed for the OpenStreetMap pre-imported tile download operation. Intended to be returned by the method for displaying the user query dialog.

See Also:
  `GuiIfc.displayOsmTileDownloadDialog(org.ka2ddo.yaac.osm.ChangeSet, org.ka2ddo.yaac.osm.ChangeSet)`, `GuiIfc.displayTopoTileDownloadDialog(java.io.File)`

Field Summary
`boolean` | `hiRes` For US Geological Survey topographic data only: download the high-resolution 1-arcsecond data for each tile for which it is available instead of the coarser 3-arcsecond data.
`double` | `lat` Center of the download region in degrees North.
`double` | `lon` Center of the download region in degrees East.
`double` | `radius` Radius of the circular download region in kilometers.
`boolean` | `refresh` Boolean true if the center and radius points should be ignored and just re-download every tile that is currently downloaded.

Constructor Summary
`GuiIfc.TileDownloadParams(boolean refresh, double lat, double lon, double radius)` Create a TileDownloadParams.
`GuiIfc.TileDownloadParams(boolean refresh, double lat, double lon, double radius, boolean hiRes)` Create a TileDownloadParams.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### refresh

    public boolean refresh

  Boolean true if the center and radius points should be ignored and just re-download every tile that is currently downloaded.

### lat

    public double lat

  Center of the download region in degrees North.

### lon

    public double lon

  Center of the download region in degrees East.

### radius

    public double radius

  Radius of the circular download region in kilometers.

### hiRes

    public boolean hiRes

  For US Geological Survey topographic data only: download the high-resolution 1-arcsecond data for each tile for which it is available instead of the coarser 3-arcsecond data.

Constructor Detail

### GuiIfc.TileDownloadParams

    public GuiIfc.TileDownloadParams(boolean refresh,
                                     double lat,
                                     double lon,
                                     double radius)

  Create a TileDownloadParams.

  Parameters:
    `refresh` - Boolean true if the center and radius points should be ignored and just re-download every tile that is currently downloaded.
    `lat` - Center of the download region in degrees North.
    `lon` - Center of the download region in degrees East.
    `radius` - Radius of the circular download region in kilometers.

### GuiIfc.TileDownloadParams

    public GuiIfc.TileDownloadParams(boolean refresh,
                                     double lat,
                                     double lon,
                                     double radius,
                                     boolean hiRes)

  Create a TileDownloadParams.

  Parameters:
    `refresh` - Boolean true if the center and radius points should be ignored and just re-download every tile that is currently downloaded.
    `lat` - Center of the download region in degrees North.
    `lon` - Center of the download region in degrees East.
    `radius` - Radius of the circular download region in kilometers.
    `hiRes` - For US Geological Survey topographic data only: download the high-resolution 1-arcsecond data for each tile for which it is available instead of the coarser 3-arcsecond data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD